package com.uc_mobileapps.examples.vaadin.dao;

import com.uc_mobileapps.examples.vaadin.entities.Customer;
import org.springframework.data.domain.Pageable;
import org.springframework.data.repository.CrudRepository;

import java.util.List;

public interface CustomerRepository extends CrudRepository<Customer, Long> {

    Customer findById(long id);

    List<Customer> findAll(Pageable pageable);

    long count();
}